import time

from src.Model import Model
from config import *
from src.helper import *

# parameter

DAY_COUNT = 30
AGENT_COUNT = 50

day_in_ticks = 24 * TICKS_PER_HOUR


def print_progress(iteration):
    if iteration % day_in_ticks == 0:
        current_day = tick_to_day(iteration)
        print("Day: " + str(current_day + 1))
        day_type = "Sunday" if IS_SUNDAY else "Workday"
        print("Type of day: " + day_type)

    if iteration % TICKS_PER_HOUR == 0:
        current_hour = tick_to_hour(iteration)
        print("Time: " + str(current_hour) + ":00")


if __name__ == '__main__':


    # Variables
    model = Model(number_of_agents=AGENT_COUNT, weight_base_cost=1, weight_terrain_map=1, weight_record_cost=3,
                  safe_to_disk=True)

    start = time.time()

    for k in range(day_in_ticks * DAY_COUNT):
        # print the progress
        # print_progress(i)

        # make one step in the model
        model.step()

    end = time.time()
    print("Time taken: " + str(end - start) + "s")
